0

I am trying to install TexLive 2019 by:

  1. Download install-tl-unx.tar.gz from http://tug.org/texlive/pkginstall.html
  2. gunzip install-tl-unx.tar.gz
  3. tar -xf install*
  4. ./install-tl --no-verify-downloads

but keep getting the message:

 ./install-tl: The TeX Live versions of the local installation
and the repository being accessed are not compatible:
      local: 2019
 repository: 2021
Perhaps you need to use a different CTAN mirror?

How do I install an older TexLive version?

7
  • 1
    if you install an old version you will not have any access to live updates, you would need to grab an image of a complete distribution. the infrastuctucture for installing from the internet and tlmgr updates is only maintained for the current year's release Jan 7 at 8:19
  • 1
    at the site you mention there is only texlive 2021 Jan 7 at 8:22
  • When you unpack that tar.gz file it creates a folder. What is the name of that folder? It can tell us which version you are using. Additionally ./install-tl will list which repository it is installing from. Please provide this information as well.
    – daleif
    Jan 7 at 8:28
  • When I downloaded install-tl-unx.tar.gz from tug.org/texlive/pkginstall.html (in 2019) and unpacked it I got a folder with name install-tl-20191231.
    – V Li
    Jan 7 at 8:46
  • 1
    As David says, never use an old installer. Always go to tug.org/texlive/acquire-netinstall.html and download a new tar.gz every time. It is continuouslty being updated.
    – daleif
    Jan 7 at 9:11

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.